
# Interface: IInitialConfig ‹**TProduct**›

## Type parameters

▪ **TProduct**

## Hierarchy

* **IInitialConfig**

## Index

### Properties

* [backendUrl](iinitialconfig.md#backendurl)
* [product](iinitialconfig.md#optional-product)
* [surfaceIndex](iinitialconfig.md#optional-surfaceindex)
* [viewerSettings](iinitialconfig.md#optional-viewersettings)

## Properties

###  backendUrl

• **backendUrl**: *string*

___

### `Optional` product

• **product**? : *TProduct*

___

### `Optional` surfaceIndex

• **surfaceIndex**? : *number*

___

### `Optional` viewerSettings

• **viewerSettings**? : *[IViewerSettings](iviewersettings.md)*
